1 Reply Latest reply: Mar 23, 2013 10:29 PM by mende1
trem_dawg Level 1 Level 1 (0 points)

I just got a new iPhone 5 and when i plug it in, it says i need the latest iTunes, when I try and get the new iTunes it says i need mac os x 10.6.8. Where do I get this from? Thanks.


MacBook, Mac OS X (10.5.8)